#include "LevelRenderPlayer.h"
#include "Utils/FileUtils.h"

auto LevelRenderPlayer::getCameraPos() -> glm::vec3 {
	if (Utils::File::getVersion() == _("1.21.73"))
		return *reinterpret_cast<glm::vec3*>((uintptr_t)this + 0x65C);
	else if (Utils::File::getVersion() == _("1.21.72"))
		return *reinterpret_cast<glm::vec3*>((uintptr_t)this + 0x65C);
	else if (Utils::File::getVersion() == _("1.21.71"))
		return *reinterpret_cast<glm::vec3*>((uintptr_t)this + 0x65C);
	else if (Utils::File::getVersion() == _("1.21.70"))
		return *reinterpret_cast<glm::vec3*>((uintptr_t)this + 0x65C);
	else
		return *reinterpret_cast<glm::vec3*>((uintptr_t)this + 0x610);
}
